//
//  Controller.m
//  PDFMerge
//
//  Created by Debenu Pty Ltd on 9/18/12.
//  Copyright (c) 2012 Debenu Pty Ltd. All rights reserved.
//

#import "Controller.h"
#import "DebenuPDFLibraryDylibClass1015.h"

@implementation Controller

- (BOOL)mergeWithFiles:(NSArray*)sourceFilePaths to:(NSString*)toFilePath error:(NSError**)error
{
    // extract text from pdf
    NSBundle* mainBundle = [NSBundle mainBundle];
    NSString* dylibPath = [mainBundle privateFrameworksPath];
    
    dylibPath = [dylibPath stringByAppendingPathComponent:@"libDebenuPDFLibraryDylib1015.dylib"];
    
    DebenuPDFLibraryDylibClass1015* DQPL = [[[DebenuPDFLibraryDylibClass1015 alloc] initWithDylibFileName:dylibPath] autorelease];
    
    NSString* key = @"*** insert your license key here ***";
    
    if( [DQPL UnlockKey:key] != 1 ) {
        
        if( error != NULL ) {
            *error = [NSError errorWithDomain:@"DQPLErrorDomain"
                                         code:0
                                     userInfo:[NSDictionary dictionaryWithObject:[NSString stringWithFormat:@"Failed to unlock DQPL with %@", key] forKey:NSLocalizedDescriptionKey]];
            
        }
        
        return NO;
    }
    
    for( NSString* aPath in sourceFilePaths ) {
        [DQPL AddToFileList:@"FilesToMerge" :aPath];
    }
    
    if( [DQPL MergeFileList:@"FilesToMerge" :toFilePath] != [sourceFilePaths count] ) {
        
        if( error != NULL ) {
            *error = [NSError errorWithDomain:@"DQPLErrorDomain"
                                         code:0
                                     userInfo:[NSDictionary dictionaryWithObject:@"Failed to merge" forKey:NSLocalizedDescriptionKey]];
            
        }
        
        return NO;
    }
    
    return YES;
}

@end
