//
//  main.m
//  PDFSplitConsole
//
//  Created by Debenu Pty Ltd on 9/22/12.
//  Copyright (c) 2012 Debenu Pty Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Controller.h"

void printUsage();

int main(int argc, const char * argv[])
{
    NSAutoreleasePool* pool = [[NSAutoreleasePool alloc] init];
    
    NSArray* arguments = [[NSProcessInfo processInfo] arguments];
    
    if( [arguments count] < 2 ) {
        printUsage();
        return -1;
    }
    
    NSString* destFilePath = [arguments objectAtIndex:1];
    
    Controller* shapeController = [[[Controller alloc] init] autorelease];
    NSError* error = nil;
    
    if( ![shapeController drawShapeToFile:destFilePath error:&error] ) {
        NSLog(@"%@", [error localizedDescription]);
        return -1;
    }

    NSLog(@"drawing success!");
        
    [pool drain];
    
    return 0;
}

void printUsage()
{
    NSLog(@"Usage: pdfshapeconsole dest_dir_path");
}
